:root {
  --xm-color-1: #165DFF;
  --xm-color-2: #FFAA00;
  --xm-color-3: #00B42A;
  --xm-color-4: #F53F3F;
  --xm-radius:6px;
}
* {margin:0;padding:0;box-sizing:border-box;font-family:PingFang SC,Microsoft YaHei,sans-serif;}
a{
  color:#333;
  -webkit-transition: color .3s;
  -moz-transition: color .3s;
  -o-transition: color .3s;
  transition: color .3s;
}
.xmx{position:relative;}
.xmx:hover,
a:hover {
  color: var(--xm-color-1)!important ;
}
.xmx::after{content:"";position:absolute;bottom:0;left:0;width:0;height:1px;background:var(--xm-color-1);transition:width 0.3s ease;}
.xmx:hover::after{width:100%;}

p {
    margin: 2px;
}
h1 {
    margin-bottom: 2px;text-align:center;
}
::-moz-selection {
    background: var(--xm-color-1);
    color: #fff;
}
::selection {
    background: var(--xm-color-1);
    color: #fff;
}
::-webkit-scrollbar{
   display:none;
}
::-webkit-scrollbar-track {
    background: #222;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}
::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 2px;
}
.xm-text-1{color:var(--xm-color-1) !important;}
.xm-text-2{color:var(--xm-color-2) !important;}
.xm-text-3{color:var(--xm-color-3) !important;}
.xm-text-4{color:var(--xm-color-4) !important;}
.xm-bg-1{background:var(--xm-color-1); color: #fff !important;}
.xm-bg-2{background:var(--xm-color-2); color: #fff !important;}
.xm-bg-3{background:var(--xm-color-3); color: #fff !important;}
.xm-bg-4{background:var(--xm-color-4); color: #fff !important;}
.xm-text-center{text-align:center!important}
img{
  max-width:100%;
}
blockquote:not(.layui-elem-quote){
    margin:10px 0;
    padding:5px 10px;
    border-left:5px solid var(--xm-color-1) !important;
    background-color:#eee;
}
blockquote,img,
.layui-card {
	border-radius: var(--xm-radius);
}
.layui-btn-primary:hover,
.layui-form-select:hover .layui-input:focus,
.layui-input:focus,
.layui-textarea:focus {
	border-color: var(--xm-color-1) !important;
	color: #333333;
    box-shadow:0 0 0 .5px var(--xm-color-1)
}
.layui-form-danger+.layui-form-select .layui-input,.layui-form-danger:focus{
 border-color:var(--xm-color-4) !important;
 box-shadow:0 0 0 3px rgba(255,87,34,.08)
}
.layui-input-wrap .layui-input:focus+.layui-input-split,
.layui-form-checked,.layui-form-checked:hover{
    border-color:var(--xm-color-1)
}
.layui-laypage .layui-laypage-curr .layui-laypage-em,.layui-form-checked span,.layui-form-checked:hover span{
   background-color:var(--xm-color-1);
}
.layui-tabs li:hover,
.layui-tabs .layui-this,
.layui-form-select dl dd.layui-this{
  color:var(--xm-color-1);
}

.layui-form-onswitch{
    border-color:var(--xm-color-1);
    background-color:var(--xm-color-1)
}
.layui-nav-itemed>a{
 color:var(--xm-color-1) !important;
}
.layui-tab-brief>.layui-tab-title .layui-this,
.layui-form-checked i,.layui-form-checked:hover i,
.layui-form-radio:hover *,.layui-form-radioed,.layui-form-radioed>i{
    color:var(--xm-color-1);
}
.layui-form-checkbox span{
 height:auto;
}
.layui-form-checkbox[lay-skin=primary]{
  max-height:18px;
}
.layui-form-checkbox[lay-skin=primary] span{
    background:0 0;
    color:#000000;
}
.layui-form-checkbox[lay-skin=primary]:hover i{
    border-color:var(--xm-color-1);
    color:#fff
}
.layui-form-checked[lay-skin=primary] i{
    border-color:var(--xm-color-1)!important;
    background-color:var(--xm-color-1);
    color:#fff
}
.layui-nav-tree .layui-nav-child dd.layui-this,.layui-nav-tree .layui-nav-child dd.layui-this a,.layui-nav-tree .layui-this,.layui-nav-tree .layui-this>a,.layui-nav-tree .layui-this>a:hover,
.layui-form-select dl dd:hover {
	background-color: var(--xm-color-1);
	color: #fff;
	transition: .1s all;
}
.layui-tabs .layui-tabs-header .layui-this:after,
.layui-tab-brief>.layui-tab-more li.layui-this:after,.layui-tab-brief>.layui-tab-title .layui-this:after{
    border:none;
    border-radius:0;
    border-bottom:2px solid var(--xm-color-1);
}
.layui-fixbar{
bottom:100px;
}
.layui-fixbar li{
  height:35px;width:35px;line-height:38px;margin-bottom:10px;
  border-radius:10%;
}
.layui-fixbar .layui-fixbar-top{
  font-size:30px;
}
.layui-layer {
	box-shadow: none !important;
	border-radius: var(--xm-radius) !important;
}
.layui-layer-msg {
	border: none !important;
	box-shadow: 0px 0px 5px 1px rgba(10, 10, 10, .32) !important;
}
.layui-layer.layui-layer-page .layui-layer-content{
  margin-bottom:-10px;
}
.layui-layer-btn *{border-color: #E6E3E6;border-radius: var(--xm-radius) !important;}
.layui-layer-tips .layui-layer-content{line-height:1.6;padding:6px;border-radius:var(--xm-radius);background-color:var(--xm-color-1)!important;}
.layui-layer-tips i.layui-layer-TipsB,.layui-layer-tips i.layui-layer-TipsT{
    border-right-color:var(--xm-color-1)!important;
}
.layui-layer-tips i.layui-layer-TipsL,.layui-layer-tips i.layui-layer-TipsR{
    border-bottom-color:var(--xm-color-1)!important;
}
.xm-player-fluid #player{height: 240px; background-color: #fff;border-radius:4px;overflow: hidden; position: relative;}
.xm-player-fluid #player .art-video-player::after { content: '';position: absolute;top:5%;left: 5%;z-index: 18;width: 50px;height: 40px;background: url('/favicon.ico') no-repeat center/contain;pointer-events: none;}
.xm-music {
  display: flex;
  align-items: center;
  border-radius:var(--xm-radius);
  padding:6px;
  border-style: solid;
  border-color: #eee;
  background-color:#fff;
  margin-bottom:10px;
}
.xm-music .pic {
  width:80px;
  height: 60px;
  border-radius:var(--xm-radius);
  margin-right: 10px;
}
.xm-music .info h3 {
  margin: 0;
  font-size: 16px;
}
.xm-music .info p {
  margin: 5px 0 0;
  font-size: 14px;
  color: #ccc;
}
.xm-music .play-btn {
  background: none;
  border: none;
  color: var(--xm-color-1);
  cursor: pointer;
  margin-left: auto;
  margin-right:10px;
}
.xm-ad-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(clamp(8rem,20vw,22rem), 1fr));
  gap: 0.6rem;
  margin-bottom:0.7rem;
}
.xm-ad {position: relative;border-radius:var(--xm-radius);background: #fff;display: block;text-decoration: none;cursor: pointer;overflow: visible;height:clamp(2.3rem, 3vh, 6rem);}
.xm-ad.text {padding: 12px 10px;display: flex;align-items: center;justify-content: center;font-size:clamp(1rem, 2vh, 2.3rem);;color: #fff;background: var(--xm-color-1);border: 1px solid #e5e5e5;}.xm-ad.text img{display:none;}
.xm-ad img{width:100%;height:100%;object-fit:fill;object-position: center;display: block;border-radius:inherit;}
.xm-ad::after {content: attr(data-tips);position: absolute;bottom: calc(100% + 4px);left: 50%;transform: translateX(-50%);padding: 5px 10px;background: #333;color: #fff;font-size: 12px;border-radius: 6px;white-space: nowrap;opacity: 0;visibility: hidden;transition: opacity 0.2s;z-index:99;pointer-events: none;}.xm-ad::before {content: '';position: absolute;bottom: 100%;left: 50%;transform: translateX(-50%);width: 0;height: 0;border-left: 4px solid transparent;border-right: 4px solid transparent;border-top: 4px solid #333;opacity: 0;visibility: hidden;transition: opacity 0.2s;z-index:99;pointer-events: none;}.xm-ad:hover::before, .xm-ad:hover::after {opacity: 1;visibility: visible;}
